<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
 *     	  Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved. 
 *	  Use is subject to license terms.
> -->

<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
        <meta name="lastupdated" content="2Feb04">
        <!-- p2 -->
        <title>Add Web Service Dialog Box</title>
        <link rel="StyleSheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
    </head>
    <body>


        <h2>Add Web Service Dialog Box</h2>
        <p> <small><a href="#seealso">See Also</a>&nbsp; </small> 
        

        <p>The Add Web Service dialog  lets you register a web service in the IDE. You can use a 
            registered web service to create Software as a Service (SaaS) applications and PHP 
            or Java web service clients.       
            </p>
            <ul class="note">
                <li>To create PHP or Java web service clients, you need to install the PHP or
                Java EE bundle of NetBeans, respectively.</li>
            </ul>
            
        <p> The Add Web Service dialog contains the following elements:</p>
        <ul>
            <li><b>Local File:</b> If the WSDL or WADL file of the web service is in your local file system, 
            tick this radio button and type the path to the WSDL or WADL file in the field. You can also click
            Browse and browse for the path to the WSDL or WADL file.</li>
            <li><b>URL:</b> If you have a URL for the web service's WSDL or WADL file, tick this radio box
            and type the URL into the field.</li>
            <li><b>Set Proxy:</b> Click this button to open the IDE's Options on the General tab, where you
            set the proxy server through which the IDE communicates with the Internet. You may need to set a proxy
            server if you are behind a corporate firewall.</li>
            <li><b>Package Name:</b> Name of the package for beans that are generated by 
                JAXB. Typing a Java package name in this field overrides the default Java package 
                name set by the web service's XML Schema.</li>
        </ul>
        
        

        


        <dl>
            <dt><a name="seealso">See Also</a></dt>
            <dd><object classid="java:org.netbeans.modules.javahelp.BrowserDisplayer">
                            <param name="content" value="http://netbeans.org/kb/docs/websvc/jersey-rcp-client.html">
                            <param name="text" value="<html><u>Creating RESTful Service Clients in NetBeans Modules</u></html>">
                            <param name="textFontSize" value="medium">
                            <param name="textColor" value="blue">
                        </object></dd>
                        <dd><object classid="java:org.netbeans.modules.javahelp.BrowserDisplayer">
                            <param name="content" value="http://netbeans.org/kb/docs/websvc/php-yahoo.html">
                            <param name="text" value="<html><u>SaaS in PHP: Yahoo News Service</u></html>">
                            <param name="textFontSize" value="medium">
                            <param name="textColor" value="blue">
                        </object></dd>
        </dl>


        <hr>
        <small><a href="../../credits.html">Legal Notices</a></small> 
        <table cellpadding="20" border="0"> 
             
            <tr><td>&nbsp;</td></tr> 
        </table> 

    </body>
</html>
